\documentclass{article}
\usepackage{gnuplot-lua-tikz}
\usepackage{amsmath}
\usepackage{amssymb}
\DeclareMathOperator\weirdOperation{weirdOperation}
\begin{document}

The function $$x^2$$ is a quadratic function.

The function
$$
%gnuplot plotopt lc "red"
%gnuplot set xrange [-10:0]
(x-5)^2
$$
is a quadratic function, too.

For natural $p$,
$$
%gnuplot proj x p=1
%gnuplot proj x p=2
%gnuplot proj x p=3
x^p
$$
is a ploynomial function.

Unfortunately, the function
$$ \weirdOperation{x}
%gnuplot begin
%gnuplot end
$$
cannot be plotted.

However, we can plot the function
$$ \mathbb{N} \to \mathbb{N},
%gnuplot begin
n \mapsto 2n
%gnuplot end
$$

%gnuplot begin
%gnuplot plotopt lc "red"
The functions $$ x^2 $$ and $$ x^3 $$ are polynomial,
%gnuplot end
while $$ 2^x $$ is not.

%gnuplot begin
%gnuplot figure_tmpl=\begin{figure} &plot \caption{ $ &latex $ } \label{&label} \end{figure}
The quadratic function
$$
%gnuplot label=fig:quadratic
x^2
$$
is depicted in fig. \ref{fig:quadratic},
while the cubic function
$$
%gnuplot label=fig:cubic
x^3
$$
is depicted in fig. \ref{fig:cubic}
%gnuplot end

While $$ \alpha(u) = 2u $$ doesn't work,
$$ \alpha(u) =
%gnuplot begin
%gnuplot proj u
2u
%gnuplot end
$$ does

You need to extend \LaTeX2gnuplot to be able to plot
$$ \lfloor x \rfloor \oplus 5 \oplus 23 $$


\end{document}
